<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Advances received for sales of property, plant and equipment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Advances received for sales of property, plant and equipment-InvCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Castings and Forgings</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Castings and Forgings, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Company information</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Company information [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">Directors' compensation and employee payrolls</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Directors' compensation and employee payrolls-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Hishikawa, Akira</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Hishikawa, Akira [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Increase (decrease) in provision for loss related to fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Increase (decrease) in provision for loss related to fire-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on fire-EL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on valuation of shares of subsidiaries</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on valuation of shares of subsidiaries [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on valuation of subsidiaries in capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on valuation of subsidiaries in capital-EL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss on valuation of subsidiaries in capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss on valuation of subsidiaries in capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Loss related to fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Loss related to fire-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Machinery</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Machinery, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Matuda, Yuka</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Matuda, Yuka [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nagai, Takashi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nagai, Takashi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nagata, Hiroyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nagata, Hiroyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakagawa, Tetsuya</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakagawa, Tetsuya [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding financial covenant</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding financial covenant [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding insurance income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding insurance income [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding loss on disaster</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding loss on disaster [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding provision for loss on business liquidation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding provision for loss on business liquidation [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding provision for loss on fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding provision for loss on fire [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Payments loss related to fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Payments loss related to fire-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceed from insurance income</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceed from insurance income-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Proceeds from subsidies for employment adjustment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Proceeds from subsidies for employment adjustment-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for loss on business of subsidiaries and associates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for loss on business of subsidiaries and associates-NOE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for loss on fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for loss on fire-CL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision for loss on fire</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision for loss on fire-EL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">Provision of allowance for doubtful accounts for subsidiaries and affiliates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Provision of allowance for doubtful accounts for subsidiaries and affiliates-NOE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Reversal of provision for loss on business of subsidiaries and associates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reversal of provision for loss on business of subsidiaries and associates-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sakamoto, Hirokuni</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sakamoto, Hirokuni [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Satoh, Motoyuki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Satoh, Motoyuki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sekine, Hiroshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sekine, Hiroshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Special steel bars</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Special steel bars, Reportable segments [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Springs</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Springs, Reportable segments[member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">Subsidies for employment adjustment</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Subsidies for employment adjustment-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Takeuchi, Minako</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Takeuchi, Minako [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Yamaguchi, Jun</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Yamaguchi, Jun [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Cumulative effects of changes in accounting policies</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">Restated balance</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:to="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:to="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:to="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:to="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnFireEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnFireEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:to="jpcrp030000-asr_E01233-000_MatudaYukaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:to="jpcrp030000-asr_E01233-000_MatudaYukaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:to="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:to="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:to="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:to="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:to="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:to="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:to="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:to="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:to="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:to="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:to="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:to="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:to="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:to="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:to="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:to="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:to="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:to="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>